#ifndef __DCDS_H
#define __DCDS_H

#include "audio_record.h"

#define DCDS_ENABLE_SHIPPER     1
#define DCDS_NUM_CHANS          1
#define DCDS_SAMP_RATE          16000
#define DCDS_FRAME_LEN          4000
#define DCDS_DTYPE              int16_t
#define DCDS_FRAME_SIZE         (DCDS_FRAME_LEN * sizeof(DCDS_DTYPE))

fsp_err_t dcds_init(void);
fsp_err_t dcds_write(int16_t* buf, uint32_t size);
void dcds_debug_gpio(int en);

#endif  //__DCDS_H
